---
lang: en
title: 'API docs: authorization.authorizemethoddecoratorfactory'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.authorizemethoddecoratorfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizeMethodDecoratorFactory](./authorization.authorizemethoddecoratorfactory.md)

## AuthorizeMethodDecoratorFactory class

<b>Signature:</b>

```typescript
export declare class AuthorizeMethodDecoratorFactory extends MethodDecoratorFactory<AuthorizationMetadata> 
```

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [mergeWithOwn(ownMetadata, target, methodName, methodDescriptor)](./authorization.authorizemethoddecoratorfactory.mergewithown.md) |  |  |


